<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: GetOutTransportActionData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d54/class_get_out_transport_action_data.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">GetOutTransportActionData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for GetOutTransportActionData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/d54/class_get_out_transport_action_data.png" usemap="#GetOutTransportActionData_map" alt=""/>
  <map id="GetOutTransportActionData_map" name="GetOutTransportActionData_map">
<area href="../../da/d5a/class_action_data.html" alt="ActionData" shape="rect" coords="0,0,167,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6d07e2b9ceea5b7adb993a9378cd331d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/d44/class_car.html">Car</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html#a6d07e2b9ceea5b7adb993a9378cd331d">m_Car</a></td></tr>
<tr class="separator:a6d07e2b9ceea5b7adb993a9378cd331d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeafcbbadb92d42dde0ce7704f27ba750"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html#aeafcbbadb92d42dde0ce7704f27ba750">m_StartLocation</a></td></tr>
<tr class="separator:aeafcbbadb92d42dde0ce7704f27ba750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1ad1b068479aaa74ee44b45c998672e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html#ad1ad1b068479aaa74ee44b45c998672e">m_CarSpeed</a></td></tr>
<tr class="separator:ad1ad1b068479aaa74ee44b45c998672e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7923220012b4a4299d5b00c8ce265100"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html#a7923220012b4a4299d5b00c8ce265100">m_WasJumpingOut</a> = false</td></tr>
<tr class="separator:a7923220012b4a4299d5b00c8ce265100"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed0226ed9d79868809a6619795438cff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html#aed0226ed9d79868809a6619795438cff">m_DmgTaken</a> = 0</td></tr>
<tr class="separator:aed0226ed9d79868809a6619795438cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63382ea71529e2d273975e3bec26a788"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html#a63382ea71529e2d273975e3bec26a788">m_ShockTaken</a> = 0</td></tr>
<tr class="separator:a63382ea71529e2d273975e3bec26a788"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a6d07e2b9ceea5b7adb993a9378cd331d" name="a6d07e2b9ceea5b7adb993a9378cd331d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d07e2b9ceea5b7adb993a9378cd331d">&#9670;&#160;</a></span>m_Car</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/d44/class_car.html">Car</a> GetOutTransportActionData::m_Car</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>

</div>
</div>
<a id="ad1ad1b068479aaa74ee44b45c998672e" name="ad1ad1b068479aaa74ee44b45c998672e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1ad1b068479aaa74ee44b45c998672e">&#9670;&#160;</a></span>m_CarSpeed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetOutTransportActionData::m_CarSpeed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>

</div>
</div>
<a id="aed0226ed9d79868809a6619795438cff" name="aed0226ed9d79868809a6619795438cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed0226ed9d79868809a6619795438cff">&#9670;&#160;</a></span>m_DmgTaken</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetOutTransportActionData::m_DmgTaken = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00007">7</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>

</div>
</div>
<a id="a63382ea71529e2d273975e3bec26a788" name="a63382ea71529e2d273975e3bec26a788"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63382ea71529e2d273975e3bec26a788">&#9670;&#160;</a></span>m_ShockTaken</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetOutTransportActionData::m_ShockTaken = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>

</div>
</div>
<a id="aeafcbbadb92d42dde0ce7704f27ba750" name="aeafcbbadb92d42dde0ce7704f27ba750"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeafcbbadb92d42dde0ce7704f27ba750">&#9670;&#160;</a></span>m_StartLocation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> GetOutTransportActionData::m_StartLocation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00004">4</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>

</div>
</div>
<a id="a7923220012b4a4299d5b00c8ce265100" name="a7923220012b4a4299d5b00c8ce265100"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7923220012b4a4299d5b00c8ce265100">&#9670;&#160;</a></span>m_WasJumpingOut</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> GetOutTransportActionData::m_WasJumpingOut = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/<a class="el" href="../../d9/da1/_action_get_out_transport_8c_source.html">ActionGetOutTransport.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d54/class_get_out_transport_action_data.html">GetOutTransportActionData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
